//
//  ViewController.swift
//  modalview
//
//  Created by kunii on 2017/09/25.
//  Copyright © 2017年 Takahiro Kunii. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.addGestureRecognizer(UITapGestureRecognizer(target: self, action: #selector(showAsView)))
    }

    @objc func showAsView() {
        let mapView = MapView(frame:self.view.bounds)
        mapView.frame.origin.y = mapView.frame.maxY
        self.view.superview?.addSubview(mapView)
        UIView.animate(withDuration: 1) {
            mapView.frame.origin.y = self.view.bounds.origin.y
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

